export declare class BbListing {
    el: HTMLElement;
    listingPath: string;
    root: string;
    listingResponse: any;
    updatesResponse: any;
    overlay: {
        kind: '' | 'spinner' | 'contact' | 'media';
        selected?: number;
    };
    message: {
        name: string;
        email: string;
        telephone: string;
        content: string;
    };
    watch: {
        email: string;
    };
    showContent: boolean;
    get listingId(): string;
    fetchData(): Promise<Response>;
    fetchUpdates(): Promise<any>;
    componentWillLoad(): Promise<void>;
    componentDidLoad(): Promise<void>;
    watchPath(newValue: string, oldValue: string): Promise<void>;
    sendMessage: (ev: Event) => Promise<void>;
    watchListing: (ev: Event) => Promise<void>;
    render(): any;
}
